Name:		gnomesword           
Version:	2.2.2.1
Release:	1%{?dist}.1
Summary:	GNOME-based Bible research tool

Group:		Applications/Text
License:	GPL
URL:		http://gnomesword.sourceforge.net/
Source0:	http://easynews.dl.sourceforge.net/sourceforge/gnomesword/gnomesword-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	sword-devel >= 1.5.9
BuildRequires:	gettext
BuildRequires:	desktop-file-utils
BuildRequires:	gnome-doc-utils
BuildRequires:	gtkhtml3-devel >= 3.6
BuildRequires:	libgnomeui-devel libgnomeprintui22-devel
BuildRequires:	scrollkeeper
BuildRequires:	perl(XML::Parser)
Requires(post):	scrollkeeper
Requires(postun):	scrollkeeper
Obsoletes:	gnomesword2
Provides:	gnomesword2

%description
Gnomesword is a Bible study application for GNOME, a graphical desktop
enviroment which is available for several Unix and Linux flavors. It is based
on SWORD by the CrossWire Bible Society, a framework providing the possibility
to study the Bible and additional information like commentaries, dictionaries
and other texts using your computer.

%prep
%setup -q

%build
%configure
#make %{?_smp_mflags} : // Doesn't seem to work on i386
make

%install
rm -rf %buildroot
make install DESTDIR=%buildroot

desktop-file-install --delete-original \
	--vendor=fedora \
	--remove-category=X-Red-Hat-Extra \
	--remove-category=Application \
	--add-category=Other \
	--dir=%buildroot%_datadir/applications \
	--copy-name-to-generic-name \
	%buildroot%_datadir/applications/gnomesword.desktop

# package docs with macro
rm -rf %buildroot%_datadir/doc/%{name}

%find_lang %{name}

%clean
rm -rf %buildroot

%post
scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :

%postun
scrollkeeper-update -q || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING COPYING-DOCS ChangeLog NEWS README TODO
%_bindir/gnomesword2
%_datadir/gnomesword
%_datadir/pixmaps/gnomesword
%_datadir/applications/fedora-gnomesword.desktop
%_datadir/gnome/help/gnomesword/

%changelog
* Sat Feb 24 2007 Deji Akingunola <dakingun@gmail.com> - 2.2.2.1-1
- New release

* Sun Jan 28 2007 Deji Akingunola <dakingun@gmail.com> - 2.2.1-1
- Remove un-neccesary gnome-spell and icu BRs

* Sat Jan 27 2007 Deji Akingunola <dakingun@gmail.com> - 2.2.1-1
- Update to 2.2.1

* Tue Dec 26 2006 Deji Akingunola <dakingun@gmail.com> - 2.2.0-1
- New stable release

* Sat Dec 16 2006 Deji Akingunola <dakingun@gmail.com> - 2.1.10-1
- New Release

* Thu Nov 23 2006 Deji Akingunola <dakingun@gmail.com> - 2.1.9-1
- New release (2.1.9)

* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 2.1.6-5
 - rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Wed Sep 20 2006 Deji Akingunola <dakingun@gmail.com> - 2.1.6-4
- Add perl(XML::Parser) to the BRs

* Wed Sep 20 2006 Deji Akingunola <dakingun@gmail.com> - 2.1.6-3
- Take over from Michael A. Peters
- Rebuild for FC6

* Tue May 02 2006 Michael A. Peters <mpeters@mac.com> - 2.1.6-2
- Fixed crash when viewing OT using KJV module (Patch0)
- Closes bug 190413

* Tue Apr 25 2006 Michael A. Peters <mpeters@mac.com> - 2.1.6-1
- New upstream version
- removed commented out fixes for since upstream fixed 64-bit issues

* Mon Apr 17 2006 Michael A. Peters <mpeters@mac.com> - 2.1.5-3
- fix bug 188581 (187198)

* Sat Feb 18 2006 Michael A. Peters <mpeters@mac.com> - 2.1.5-2
- Rebuild in devel

* Wed Dec 14 2005 Michael A. Peters <mpeters@mac.com> - 2.1.5-1
- New upstream version, works with gtkhtml3-3.8
- disable x86_64 patch

* Thu Sep 15 2005 Michael A. Peters <mpeters@mac.com> - 2.1.2-2.3
- trying patch suggested by Tom 'spot' Callaway to fix x86_64 bug
- 160186
- libtool, aclocal, autoheader, automake, autoconf on x86_64

* Sun Jun 12 2005 Michael A. Peters <mpeters@mac.com> - 2.1.2-2.1
- Exclude x86_64 for now

* Thu Jun 09 2005 Michael A. Peters <mpeters@mac.com> - 2.1.2-2
- added --copy-name-to-generic-name to desktop-file-install
- fixed line break packaging error

* Mon Jun 06 2005 Michael A. Peters <mpeters@mac.com> - 2.1.2-1
- Initial cvs checkin for Fedora Extras
